Name:           opensaml
Version:        2.4.3
Release:        9%{?dist}
Summary:        Security Assertion Markup Language

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://www.opensaml.org/
Source0:        http://www.shibboleth.net/downloads/c++-opensaml/%{version}/opensaml-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  log4cpp-devel
BuildRequires:  xerces-c-devel >= 2.8.0
BuildRequires:  xmltooling-devel >= 1.4.2
BuildRequires:  xml-security-c-devel >= 1.4.0
BuildRequires:  doxygen
BuildRequires:  cxxtest

Requires:       xml-common

# Needed since we are doing an autoreconf below.
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

%description
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

%package devel
Summary: Security Assertion Markup Language Development
Group:          System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

%{name}-devel provides header files for development.

%package doc
Summary: Security Assertion Markup Language Documentation
Group:          System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch:      noarch
%endif

%description doc
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

%{name}-doc provides documentation.

%prep
%setup -q
# Remove private zlib to be sure we don't use it.
rm -rf saml/zlib

%build
autoreconf -fiv

%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT pkgdocdir=%{_docdir}/%{name}
rm $RPM_BUILD_ROOT%{_docdir}/%{name}/LOG4CPP.LICENSE

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/samlsign
#%{_bindir}/samltest
%{_libdir}/libsaml.so.*
%{_datadir}/xml/opensaml
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README.txt
%doc %{_docdir}/%{name}/LICENSE.txt
%doc %{_docdir}/%{name}/NOTICE.txt

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root,-)
%{_docdir}/%{name}/api


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Oct 12 2013 Bruno Wolff III <bruno@wolff.to> - 2.4.3-7
- Rebuild for liblog4cpp soname bump

* Sun Sep 15 2013 Mat Booth <fedora@matbooth.co.uk> - 2.4.3-6
- Fix incorrect docdir packaging, rhbz #992403

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 12 2011 Guido Grazioli <guido.grazioli@gmail.com> - 2.4.3-1
- Update to 2.4.3, security fix CVE-2011-1411
- Fix download url

* Wed Mar 16 2011 Kalev Lember <kalev@smartlink.ee> - 2.3-5
- Rebuilt with xml-security-c 1.6

* Thu Mar 10 2011 Kalev Lember <kalev@smartlink.ee> - 2.3-4
- Rebuilt with xerces-c 3.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 07 2010 Steve Traylen <steve.traylen@cern.ch> - 2.3-2
- rebuilt against new xerces-c 3.

* Thu Nov 19 2009 Steve Traylen  <steve.traylen@cern.ch>  - 2.3-1
- New upstream 2.3

* Fri Oct 16 2009 Steve Traylen  <steve.traylen@cern.ch>  - 2.2.1-2
- Change Source URL to explicit version rather than "latest"
- Add a BuildRequires of cxxtest.
- Add Requires xml-common  to ensure existence of /usr/share/xml
- Add more minimum versions for BuildRequires.

* Tue Oct 6 2009  Steve Traylen  <steve.traylen@cern.ch>  - 2.2.1-1
- First Build

